| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Instance Methods | Protected Attributes | Properties | List of all members
CvVideoCamera Class Reference
Video I/O » iOS glue for video I/O

`#include <opencv2/videoio/cap_ios.h>`

Collaboration diagram for CvVideoCamera:

## Instance Methods
(void) | - adjustLayoutToInterfaceOrientation:
(layoutPreviewLayer) | - CV_UNUSED
(saveVideo) | - CV_UNUSED
(NSString *) | - videoFileString
(NSURL *) | - videoFileURL
Instance Methods inherited from CvAbstractCamera
(id) | - initWithParentView:

## Protected Attributes
CALayer * | customPreviewLayer
CMTime | lastSampleTime
AVCaptureVideoDataOutput * | videoDataOutput
dispatch_queue_t | videoDataOutputQueue
Protected Attributes inherited from CvAbstractCamera
BOOL | cameraAvailable
UIDeviceOrientation | currentDeviceOrientation

## Properties
id< CvVideoCameraDelegate > | delegate
BOOL | grayscaleMode
AVAssetWriter * | recordAssetWriter
AVAssetWriterInput * | recordAssetWriterInput
AVAssetWriterInputPixelBufferAdaptor * | recordPixelBufferAdaptor
BOOL | recordVideo
BOOL | rotateVideo
Properties inherited from CvAbstractCamera
AVCaptureSession * | captureSession
BOOL | captureSessionLoaded
AVCaptureVideoPreviewLayer * | captureVideoPreviewLayer
AVCaptureDevicePosition | defaultAVCaptureDevicePosition
NSString *const | defaultAVCaptureSessionPreset
AVCaptureVideoOrientation | defaultAVCaptureVideoOrientation
int | defaultFPS
int | imageHeight
int | imageWidth
UIView * | parentView
BOOL | running
BOOL | useAVCaptureVideoPreviewLayer
AVCaptureConnection * | videoCaptureConnection

## Method Documentation

## ◆ adjustLayoutToInterfaceOrientation:

- (void) adjustLayoutToInterfaceOrientation: |  | (UIInterfaceOrientation) | interfaceOrientation |

## ◆ CV_UNUSED [1/2]

- (layoutPreviewLayer) CV_UNUSED |  |  |

Implements CvAbstractCamera.

## ◆ CV_UNUSED [2/2]

- (saveVideo) CV_UNUSED |  |  |

Implements CvAbstractCamera.

## ◆ videoFileString

- (NSString *) videoFileString |  |  |

## ◆ videoFileURL

- (NSURL *) videoFileURL |  |  |

## Member Data Documentation

## ◆ customPreviewLayer

- (CALayer*) customPreviewLayer
| protected

## ◆ lastSampleTime

- (CMTime) lastSampleTime
| protected

## ◆ videoDataOutput

- (AVCaptureVideoDataOutput*) videoDataOutput
| protected

## ◆ videoDataOutputQueue

- (dispatch_queue_t) videoDataOutputQueue
| protected

## Property Documentation

## ◆ delegate

- (id<CvVideoCameraDelegate>) delegate
| read write nonatomic weak

## ◆ grayscaleMode

- (BOOL) grayscaleMode
| read write nonatomic assign

## ◆ recordAssetWriter

- (AVAssetWriter*) recordAssetWriter
| read write nonatomic strong

## ◆ recordAssetWriterInput

- (AVAssetWriterInput*) recordAssetWriterInput
| read write nonatomic strong

## ◆ recordPixelBufferAdaptor

- (AVAssetWriterInputPixelBufferAdaptor*) recordPixelBufferAdaptor
| read write nonatomic strong

## ◆ recordVideo

- (BOOL) recordVideo
| read write nonatomic assign

## ◆ rotateVideo

- (BOOL) rotateVideo
| read write nonatomic assign

The documentation for this class was generated from the following file:

- opencv2/videoio/cap_ios.h